---
################################################
# General configuration
################################################

name: OSBA
master_seed: 25
prerun_seed: 2

input_path: "experiments/testing/OSBA/proc_input"
output_path: "experiments/testing/OSBA/proc_output"
use_windows_codec_binaries: true
condition_in_output_filename: true

################################################
### Input configuration
################################################
input:
    fmt: "ISM4SBA3"
    fs: 48000
    frame_alignment: "padding"

################################################
### Pre-processing on individual items
################################################
preprocessing:
    mask: "20KBP"
    loudness: -26
    window: 100

################################################
### Pre-processing on whole signal(s)
################################################
preprocessing_2:
    concatenate_input: false
    preamble_noise: false
    repeat_signal: false

#################################################
### Bitstream processing
#################################################

################################################
### Configuration for conditions under test
################################################
conditions_to_generate:
    ### IVAS condition ###############################
    c01:
        type: ivas
        bitrates:
            - 13200
        cod:
        dec:
            fmt: "ISM4SBA3"
    # c02:
    #     type: ivas
    #     bitrates:
    #         - 16400
    #     cod:
    #     dec:
    #         fmt: "STEREO"
    # c07:
    #     type: ivas
    #     bitrates:
    #         - 48000
    #     cod:
    #     tx:
    #         type: "JBM"
    #         error_pattern: "/Users/knj/Documents/IVAS/ivas-codec/scripts/dly_error_profiles/dly_error_profile_5.dat"
    #     dec:
    #         fmt: "STEREO"

################################################
### Post-processing
################################################
postprocessing:
    fmt: "ISM4SBA3"
    fs: 48000
    loudness: -26
